Update server settings
curl --request PATCH \
--url https://quark.bot/api/servers/{guild_id}/config/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://quark.bot/api/servers/{guild_id}/config/settings"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://quark.bot/api/servers/{guild_id}/config/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}{}{}{}Configuration
Update server settings
Changes the server’s language.
locale is written as a language key such as en-US, but read back as a numeric ID. See the API introduction for both.
PATCH
/
servers
/
{guild_id}
/
config
/
settings
Update server settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The server's ID. Must be the server the token was created for.
Pattern:
^\d{17,20}$Example:
"301655085954367490"
Query Parameters
Set to pro to act on the Quark Pro bot's configuration. Leave out for the main Quark bot.
Available options:
pro Body
application/json
The language key.
Available options:
en-US, en-GB, tr, vi, en-PR, pl, nl, es-ES, it, de, fr, ru, el, zh_Hant, ko, sl, ar, hu, ja Response
Accepted.
An empty object.
Was this page helpful?

